Bug 118599 - autconfig should have a way to choose auth for sets of UIDs
Summary: autconfig should have a way to choose auth for sets of UIDs
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: authconfig   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-18 01:53 UTC by Maxwell Kanat-Alexander
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 13:52:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maxwell Kanat-Alexander 2004-03-18 01:53:10 UTC
It would be nice to have a "use Unix accounts if all else fails"
option for authconfig, in the Authentication section. Or some way of
specifying "Only use method X for UIDs greater than Y" for each
authentication method.

For example, I wanted to set up a system here where UIDs >= 500 were
authenticated against Active Directory (using Kerberos), but UIDs <
500 were authenticated with pam_unix. 

After manually editing /etc/krb5.conf to not auth users with UIDs <
500, I had to edit /etc/pam.d/system-auth manually to change pam_krb5
to [default=ignore ...]

Comment 1 Tomas Mraz 2005-09-08 13:52:15 UTC
This is too complicated request for the authconfig UI which should be as simple
as possible. Sysadmin with such request should be experienced enough to edit the
configuration files by hand.



Note You need to log in before you can comment on or make changes to this bug.